#include "text.h"

#include "tonc_memmap.h"

void text_write(const char* text, u32 sbNum, u32 paletteNum, u32 x, u32 y) {	

	u32 i = 0;
	while (text[i]) {
		se_mat[sbNum][y][x + i] = (paletteNum << 12) | (text[i] - 32);
		i++;
	}

}

void text_clear(u32 sbNum,
				u32 x1,
				u32 y1,
				u32 x2,
				u32 y2,
				u32 paletteNum,
				const char fillChar) {

	for (u32 y = y1; y <= y2; ++y) {
		for (u32 x = x1; x <= x2; ++x) {
			se_mat[sbNum][y][x] = (paletteNum << 12) | (fillChar - 32);
		}
	}

}
