#pragma once

static inline COLOR RGB15(u32 red, u32 green, u32 blue) {
	return red | (green << 5) | (blue << 10);
}

// Fast memcpy/set
void memset16(void *dst, u16 hw, uint hwcount);
void memcpy16(void *dst, const void* src, uint hwcount);

IWRAM_CODE void memset32(void *dst, u32 wd, uint wcount);
IWRAM_CODE void memcpy32(void *dst, const void* src, uint wcount);
